/*
 * Class WEL_PFM_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_417 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_417 [] = {0xFF01,1551,416,0xFFFF};
static const EIF_TYPE_INDEX egt_2_417 [] = {0xFF01,416,0xFFFF};
static const EIF_TYPE_INDEX egt_3_417 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_417 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_417 [] = {0xFF01,416,0xFFFF};
static const EIF_TYPE_INDEX egt_6_417 [] = {0xFF01,416,0xFFFF};
static const EIF_TYPE_INDEX egt_7_417 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_417 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_417 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_417 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_417 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_417 [] = {0xFF01,416,0xFFFF};


static const struct desc_info desc_417[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_417), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_417), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_417), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_417), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_417), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_417), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_417), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_417), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_417), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_417), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_417), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_417), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0341 /*416*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_417), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7237, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7238, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7239, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7224, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7225, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7226, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7227, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7228, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7229, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7230, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7233, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7234, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7235, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 7236, 0xFFFFFFFF},
};
void Init417(void)
{
	IDSC(desc_417, 0, 416);
	IDSC(desc_417 + 1, 1, 416);
	IDSC(desc_417 + 32, 630, 416);
}


#ifdef __cplusplus
}
#endif
